> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get XRP Price

> Fetches the XRP close price from CoinMarketCap, falling back to 0.5 on failure.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-xrp-price
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-xrp-price:
    get:
      operationId: getXRPPrice
      summary: Get XRP Price
      description: >-
        Fetches the XRP close price from CoinMarketCap, falling back to 0.5 on
        failure.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetXRPPriceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetXRPPriceResponse:
      type: object
      properties:
        xrpPrice:
          type: number
      required:
        - xrpPrice
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
